<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.project.common.mapper.CommonMapper">
    <resultMap id="exclusive" type="com.ruoyi.project.common.dto.ExclusiveDto">
        <result column="id" property="id"/>
        <result column="table_ame" property="tableName"/>
        <result column="id_field_name" property="idFieldName"/>
        <result column="update_time" property="updateTime"/>
    </resultMap>

    <select id="getCommonId" resultType="long" parameterType="java.lang.String">
       select nextval(#{type})
    </select>
    <select id="getTimeStep" resultType="java.lang.String">
       select time_step from sys_limit
    </select>

</mapper>